[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor/master] Actually, just disable test_rebind.sh on Appveyor
commit 7b27d98eaea3bbbcf367fdf87b3dabbc28ca1f9c
Author: rl1987 <rl1987@xxxxxxxxxxxxxxxx>
Date: Sun Aug 19 21:33:18 2018 +0300
Actually, just disable test_rebind.sh on Appveyor
---
src/test/test_rebind.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index a81f1b569..76eb9f2e4 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -2,12 +2,14 @@
set -x
-UNAME_OS=`uname -s | cut -d_ -f1`
+UNAME_OS=$(uname -s | cut -d_ -f1)
if test "$UNAME_OS" = 'CYGWIN' || \
test "$UNAME_OS" = 'MSYS' || \
test "$UNAME_OS" = 'MINGW'; then
- echo "This test is disabled on Windows CI, as it requires firewall examptions. Skipping." >&2
- exit 77
+ if test "$APPVEYOR" = 'True'; then
+ echo "This test is disabled on Windows CI, as it requires firewall examptions. Skipping." >&2
+ exit 77
+ fi
fi
exitcode=0
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits